Package ghidra.framework.model

# Class DomainObjectChangeRecord

java.lang.Object
ghidra.framework.model.DomainObjectChangeRecord

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `CodeUnitPropertyChangeRecord`, `CodeUnitUserDataChangeRecord`, `DataTypeArchiveChangeRecord`, `ProgramChangeRecord`, `UserDataChangeRecord`

public class DomainObjectChangeRecord extends Object implements Serializable
Information about a change that was made to a domain object. The record is delivered as part of the change notification. The event types correspond to the constants in `ChangeManager`.

See Also:
  - `ChangeManager`
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DomainObjectChangeRecord()`
  Construct a new DomainObjectChangeRecord.
  `DomainObjectChangeRecord(int type)`
  Construct a new DomainObjectChangeRecord.
  `DomainObjectChangeRecord(int type, int subType, Object oldValue, Object newValue)`
  Construct a new DomainObjectChangeRecord.
  `DomainObjectChangeRecord(int type, Object oldValue, Object newValue)`
  Construct a new DomainObjectChangeRecord.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getEventType()`
  Return the event type for this change record.
  `Object`
  `getNewValue()`
  Return the new value.
  `Object`
  `getOldValue()`
  Return the old value.
  `int`
  `getSubEventType()`
  Return the sub-event type for this change record.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### DomainObjectChangeRecord

    public DomainObjectChangeRecord()
    Construct a new DomainObjectChangeRecord.

  - ### DomainObjectChangeRecord

    public DomainObjectChangeRecord(int type)
    Construct a new DomainObjectChangeRecord.
    Parameters:
      `type` - event type

  - ### DomainObjectChangeRecord

    public DomainObjectChangeRecord(int type, Object oldValue, Object newValue)
    Construct a new DomainObjectChangeRecord.
    Parameters:
      `type` - event type
      `oldValue` - old value
      `newValue` - new value

  - ### DomainObjectChangeRecord

    public DomainObjectChangeRecord(int type, int subType, Object oldValue, Object newValue)
    Construct a new DomainObjectChangeRecord.
    Parameters:
      `type` - event type
      `subType` - sub-event type (use 0 if unspecified)
      `oldValue` - old value
      `newValue` - new value

- ## Method Details

  - ### getEventType

    public int getEventType()
    Return the event type for this change record.

  - ### getSubEventType

    public int getSubEventType()
    Return the sub-event type for this change record. A value of 0 is the default if unspecified.

  - ### getOldValue

    public Object getOldValue()
    Return the old value.

  - ### getNewValue

    public Object getNewValue()
    Return the new value.

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`